net.minecraft.entity

## Class EntityCreature

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase
    - - net.minecraft.entity.EntityLiving
      - - net.minecraft.entity.EntityCreature

- Direct Known Subclasses:
    EntityAgeable, EntityGolem, EntityMob, EntityWaterMob

      public abstract class EntityCreature
      extends EntityLiving

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Entity` | `entityToAttack`
    `static java.util.UUID` | `field_110179_h`
    `static AttributeModifier` | `field_110181_i`
    `protected int` | `fleeingTick`
    `protected boolean` | `hasAttacked`

    - ### Fields inherited from class net.minecraft.entity.EntityLiving

      `defaultPitch, equipmentDropChances, experienceValue, livingSoundTime, numTicksToChaseTarget, targetTasks, tasks`

    - ### Fields inherited from class net.minecraft.entity.EntityLivingBase

      `arrowHitTimer, attackedAtYaw, attackingPlayer, attackTime, cameraPitch, dead, deathTime, entityAge, field_110154_aX, field_70741_aB, field_70763_ax, field_70764_aw, field_70768_au, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, lastDamage, limbSwing, limbSwingAmount, maxHurtResistantTime, maxHurtTime, moveForward, moveStrafing, newPosRotationIncrements, newPosX, newPosY, newPosZ, newRotationPitch, newRotationYaw, prevCameraPitch, prevHealth, prevLimbSwingAmount, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, randomYawVelocity, recentlyHit, renderYawOffset, rotationYawHead, scoreValue, swingProgress, swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityCreature(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `attackEntity(Entity par1Entity, float par2)`
    `void` | `detachHome()`
    `protected Entity` | `findPlayerToAttack()`
    `float` | `func_110174_bM()`
    `protected void` | `func_142017_o(float par1)`
    `float` | `getBlockPathWeight(int par1, int par2, int par3)`
    `boolean` | `getCanSpawnHere()`
    `Entity` | `getEntityToAttack()`
    `ChunkCoordinates` | `getHomePosition()`
    `boolean` | `hasHome()`
    `boolean` | `hasPath()`
    `protected boolean` | `isMovementCeased()`
    `boolean` | `isWithinHomeDistance(int par1, int par2, int par3)`
    `boolean` | `isWithinHomeDistanceCurrentPosition()`
    `void` | `setHomeArea(int par1, int par2, int par3, int par4)`
    `void` | `setPathToEntity(PathEntity par1PathEntity)`
    `void` | `setTarget(Entity par1Entity)`
    `protected void` | `updateEntityActionState()`
    `protected void` | `updateLeashedState()`
    `protected void` | `updateWanderPath()`

    - ### Methods inherited from class net.minecraft.entity.EntityLiving

      `addRandomArmor, allowLeashing, applyEntityAttributes, canAttackClass, canBeSteered, canDespawn, canPickUpLoot, clearLeashed, despawnEntity, dropEquipment, dropFewItems, eatGrassBonus, enchantEquipment, entityInit, faceEntity, func_110146_f, func_110163_bv, func_130225_q, getAlwaysRenderNameTag, getAlwaysRenderNameTagForRender, getArmorItemForSlot, getArmorPosition, getAttackTarget, getCommandSenderName, getCustomNameTag, getDropItem, getEntitySenses, getEquipmentInSlot, getExperiencePoints, getHeldItem, getJumpHelper, getLastActiveItems, getLeashed, getLeashedToEntity, getLivingSound, getLookHelper, getMaxSafePointTries, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getRenderSizeModifier, getTalkInterval, getVerticalFaceSpeed, hasCustomNameTag, interact, interactFirst, isAIEnabled, isNoDespawnRequired, onEntityUpdate, onLivingUpdate, onSpawnWithEgg, onUpdate, playLivingSound, readEntityFromNBT, setAIMoveSpeed, setAlwaysRenderNameTag, setAttackTarget, setCanPickUpLoot, setCurrentItemOrArmor, setCustomNameTag, setEquipmentDropChance, setLeashedToEntity, setMoveForward, spawnExplosionParticle, updateAITasks, writeEntityToNBT`

    - ### Methods inherited from class net.minecraft.entity.EntityLivingBase

      `addPotionEffect, applyArmorCalculations, applyPotionDamageCalculations, attackEntityAsMob, attackEntityFrom, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, collideWithEntity, collideWithNearbyEntities, curePotionEffects, damageArmor, damageEntity, decreaseAirSupply, dismountEntity, dropRareDrop, fall, func_110142_aN, func_142015_aE, func_146066_aG, func_146067_o, func_94060_bK, getAbsorptionAmount, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArrowCountInEntity, getAttributeMap, getCreatureAttribute, getDeathSound, getEntityAttribute, getEyeHeight, getHealth, getHurtSound, getItemIcon, getLastAttacker, getLastAttackerTime, getLook, getLookVec, getMaxHealth, getPosition, getRNG, getRotationYawHead, getSoundPitch, getSoundVolume, getSwingProgress, getTeam, getTotalArmorValue, handleHealthUpdate, heal, isChild, isClientWorld, isEntityAlive, isEntityUndead, isMovementBlocked, isOnLadder, isOnSameTeam, isOnTeam, isPlayer, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, jump, kill, knockBack, moveEntityWithHeading, onChangedPotionEffect, onDeath, onDeathUpdate, onFinishedPotionEffect, onItemPickup, onNewPotionEffect, performHurtAnimation, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAbsorptionAmount, setArrowCountInEntity, setBeenAttacked, setHealth, setJumping, setLastAttacker, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, setSprinting, shouldRiderFaceForward, swingItem, updateAITick, updateArmSwingProgress, updateFallState, updatePotionEffects, updateRidden`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, canTriggerWalking, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onKillEntity, onStruckByLightning, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setDead, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSize, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_110179_h

          public static final java.util.UUID field_110179_h

    - #### field_110181_i

          public static final AttributeModifier field_110181_i

    - #### entityToAttack

          protected Entity entityToAttack

    - #### hasAttacked

          protected boolean hasAttacked

    - #### fleeingTick

          protected int fleeingTick

  - ### Constructor Detail

    - #### EntityCreature

          public EntityCreature(World par1World)

  - ### Method Detail

    - #### isMovementCeased

          protected boolean isMovementCeased()

    - #### updateEntityActionState

          protected void updateEntityActionState()

      Overrides:
        `updateEntityActionState` in class `EntityLiving`

    - #### updateWanderPath

          protected void updateWanderPath()

    - #### attackEntity

          protected void attackEntity(Entity par1Entity,
                          float par2)

    - #### getBlockPathWeight

          public float getBlockPathWeight(int par1,
                                 int par2,
                                 int par3)

    - #### findPlayerToAttack

          protected Entity findPlayerToAttack()

    - #### getCanSpawnHere

          public boolean getCanSpawnHere()

      Overrides:
        `getCanSpawnHere` in class `EntityLiving`

    - #### hasPath

          public boolean hasPath()

    - #### setPathToEntity

          public void setPathToEntity(PathEntity par1PathEntity)

    - #### getEntityToAttack

          public Entity getEntityToAttack()

    - #### setTarget

          public void setTarget(Entity par1Entity)

    - #### isWithinHomeDistanceCurrentPosition

          public boolean isWithinHomeDistanceCurrentPosition()

    - #### isWithinHomeDistance

          public boolean isWithinHomeDistance(int par1,
                                     int par2,
                                     int par3)

    - #### setHomeArea

          public void setHomeArea(int par1,
                         int par2,
                         int par3,
                         int par4)

    - #### getHomePosition

          public ChunkCoordinates getHomePosition()

    - #### func_110174_bM

          public float func_110174_bM()

    - #### detachHome

          public void detachHome()

    - #### hasHome

          public boolean hasHome()

    - #### updateLeashedState

          protected void updateLeashedState()

      Overrides:
        `updateLeashedState` in class `EntityLiving`

    - #### func_142017_o

          protected void func_142017_o(float par1)